package com.gxzc.zen.api.sys.service

/**
 * <p>
 * 权限 服务类
 * </p>
 *
 * @author NorthLan
 * @since 2018-02-06
 */
interface ISysPermissionService {
    /**
     * 获取指定用户的所有权限并缓存至user_perm key: uid_*
     */
    fun getPermissionSetByUserId(id: Long): HashSet<String>
    /**
     * 初始化所有用户的权限缓存
     */
    fun initPermissionCacheAllUser()
}
