package com.gxzc.zen.umps

import com.baomidou.kisso.SSOAuthorization
import com.baomidou.kisso.security.token.SSOToken
import com.gxzc.zen.common.util.PlatformUtil
import org.apache.commons.lang3.StringUtils
import org.springframework.beans.factory.annotation.Autowired
import org.springframework.cache.CacheManager
import org.springframework.stereotype.Component

@Component
class KissoAuthorization : SSOAuthorization {

    @Autowired
    private lateinit var cacheManager: CacheManager

//    private val permissionService = SpringContextHolder.getBean(ISysPermissionService::class.java)

    override fun isPermitted(token: SSOToken?, permission: String?): Boolean {
//        if (token == null) return false
//        if (!StringUtils.isNumeric(token.id)) return false
//        val pers = permissionService?.findUserPermissions(token.id?.toLong()!!)
//        if (pers?.contains(permission)!!) return true

        if (token == null) {
            return false
        }
        if (!StringUtils.isNumeric(token.id)) {
            return false
        }
        cacheManager.getCache("a").put("haha", arrayListOf("1"))

        val userPerm = "1:user.list:crud" // permission = "user.list:c"
        val realPerm = "${PlatformUtil.getPlatformId()}:$permission"



        return false
    }
}
